## ktp-call-ui 0.6.3

=== CMakeLists.txt ===
project(ktp-call-ui)

set(KTP_CALL_UI_VERSION "0.6.3")
set(IS_KTP_INTERNAL_MODULE TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
cmake_policy(SET CMP0002 OLD)

find_package(KDE4 REQUIRED)
find_package(TelepathyQt4 REQUIRED)
find_package(TelepathyQt4Farstream REQUIRED)
find_package(KTp REQUIRED)
find_package(QtGStreamer REQUIRED)
find_package(PkgConfig REQUIRED)

include_directories(
    ${KDE4_INCLUDES}
    ${TELEPATHY_QT4_INCLUDE_DIR}
    ${KTP_INCLUDE_DIR}
    ${QTGSTREAMER_INCLUDES}
)
add_definitions(
    ${KDE4_DEFINITIONS}
    ${QTGSTREAMER_DEFINITIONS}
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QTGSTREAMER_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/version.h @ONLY)

add_subdirectory(libqtf)
add_subdirectory(libktpcall)
add_subdirectory(src)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-call-ui 0.4.0

=== debian/changelog ===
ktp-call-ui (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:15:39 +0300

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools,
 cmake,
 kdelibs5-dev,
 libtelepathy-qt4-dev (>= 0.9.1),
 libqtgstreamer-dev (>= 0.10.2),
 pkg-config,
 libktpcommoninternalsprivate-dev (>= 0.4.0),
 libtelepathy-farstream-dev (>= 0.4.0),
 libfarstream-0.1-dev (>= 0.1.1)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git

Package: kde-telepathy-call-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kde-telepathy-data (>= 0.4.0),
 gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good,
 gstreamer0.10-x,
 gstreamer0.10-pulseaudio [linux-any] | gstreamer0.10-alsa [linux-any],
 pulseaudio [linux-any] | gstreamer0.10-alsa [linux-any]
Recommends: kde-telepathy,
 gstreamer0.10-plugins-ugly,
 gstreamer0.10-ffmpeg
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-call-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-call-ui (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy UI for audio/video calls - debug symbols
 This package provides the debug symbols for the KDE Telepathy Call UI module.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-call-ui-([\d.]+).tar.bz2

## ktp-call-ui 0.5.1

=== debian/changelog ===
ktp-call-ui (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:36:33 +0530

ktp-call-ui (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:42:37 +0530

ktp-call-ui (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Refreshed install files

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 18:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
@@ -10,7 +11,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.5.1),
  libtelepathy-farstream-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.1)
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-call-ui-dbg --list-missing

## ktp-call-ui 0.5.2

=== debian/changelog ===
ktp-call-ui (0.5.2-0ubuntu2) raring; urgency=low

  * Use the newly split telepathy-farstream-0.4 to stay on gstreamer-0.10
    (patching the build system to do so)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Jan 2013 12:39:07 +0000

ktp-call-ui (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:19:13 +0530

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.5.1),
- libtelepathy-farstream-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.5.2),
+ libtelepathy-farstream-0.4-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui

## ktp-call-ui 0.6.1

=== debian/changelog ===
ktp-call-ui (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:31:49 +0100

ktp-call-ui (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:56 +0100

ktp-call-ui (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 09 Mar 2013 02:13:43 +0530

ktp-call-ui (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:22:08 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.5.2),
+ libktpcommoninternalsprivate-dev (>= 0.6.0),
  libtelepathy-farstream-0.4-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.1)
 Standards-Version: 3.9.3

## ktp-call-ui 0.6.3

=== debian/changelog ===
ktp-call-ui (0.6.3-1ubuntu2) saucy; urgency=low

  * Drop TP_FARSTREAM_INCLUDE_DIRS, build works perfectly
    fine without it

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 23 Aug 2013 17:56:58 +0530

ktp-call-ui (0.6.3-1ubuntu1) saucy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - add debian/patches/telepathy-farstream-0.4.patch
    - build depend on libtelepathy-farstream-0.4-dev rather than
      libtelepathy-farstream-dev

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 16 Aug 2013 06:29:41 +1000

ktp-call-ui (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Imported Upstream version 0.6.2
  * Bump ktp-common-internals dependency to 0.6.2
  * Bump libtelepathy-qt4-dev dependency to 0.9.3
  * Bump libfarstream-0.1-dev dependency to 0.1.2
  * Add patch to link libqtf against d-bus.
  * Update CMAKE_FLAGS to for header files in subdirectories.
  * Set Uploaders to Diane Trout and Michał Zając
  * Install ktp-dialout-ui
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Update watch file as KDE-Telepathy is now in KDE stable.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:25:30 +1000

ktp-call-ui (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev
  * Add back translation files
    to kde-telepathy-call-ui.install
    per request

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:34:24 +0800

ktp-call-ui (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 14:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
  cmake,
  kdelibs5-dev,
- libtelepathy-qt4-dev (>= 0.9.1),
+ libtelepathy-qt4-dev (>= 0.9.3),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.6.0),
+ libktpcommoninternalsprivate-dev (>= 0.6.3),
  libtelepathy-farstream-0.4-dev (>= 0.4.0),
- libfarstream-0.1-dev (>= 0.1.1)
-Standards-Version: 3.9.3
+ libfarstream-0.1-dev (>= 0.1.2)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
@@ -22,7 +22,7 @@
 Package: kde-telepathy-call-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= 0.4.0),
+ kde-telepathy-data (>= 0.6.1),
  gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
  gstreamer0.10-x,

## ktp-call-ui 0.7.0

=== debian/changelog ===
ktp-call-ui (0.7.0-1) unstable; urgency=low

  * Imported upstream version 0.7.0
  * Bump Build-Depends libktpcommoninternalsprivate-dev to 0.7.0
  * Bump depends kde-telepathy-data >= 0.7

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:10:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
@@ -11,8 +10,8 @@
  libtelepathy-qt4-dev (>= 0.9.3),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.6.3),
- libtelepathy-farstream-0.4-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.7.0),
+ libtelepathy-farstream-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.2)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
@@ -22,7 +21,7 @@
 Package: kde-telepathy-call-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= 0.6.1),
+ kde-telepathy-data (>= 0.7),
  gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
  gstreamer0.10-x,

## ktp-call-ui 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-call-ui)
 
-set(KTP_CALL_UI_VERSION "0.6.3")
+set(KTP_CALL_UI_VERSION "0.8.0")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== libktpcall/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

#####

set(libktpcall_SRCS
    call-channel-handler.cpp
    call-content-handler.cpp
    volume-controller.cpp

    private/device-element-factory.cpp
    private/phonon-integration.cpp
    private/sink-controllers.cpp
    private/sink-manager.cpp
    private/tf-audio-content-handler.cpp
    private/tf-channel-handler.cpp
    private/tf-content-handler.cpp
    private/tf-video-content-handler.cpp
    private/video-sink-bin.cpp
)

kde4_add_library(ktpcall STATIC ${libktpcall_SRCS})
target_link_libraries(ktpcall
    ${KDE4_KDECORE_LIBS}
    ${KDE4_PHONON_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QTGSTREAMER_LIBRARIES}
    ${TELEPATHY_QT4_LIBRARIES}
    qtf
)

#####

add_subdirectory(tests)

=== src/CMakeLists.txt ===
add_subdirectory(dialout)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

set(ktp-call-ui_SRCS
    main.cpp
    call-window.cpp
    call-handler.cpp
    dtmf-handler.cpp
    dtmf-widget.cpp
    status-area.cpp
    call-manager.cpp
    approver.cpp
)

kde4_add_ui_files(ktp-call-ui_SRCS call-window.ui dtmf-widget.ui)
kde4_add_executable(ktp-call-ui ${ktp-call-ui_SRCS})
target_link_libraries(ktp-call-ui
    ${KDE4_KDEUI_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KTP_LIBRARIES}
    ${QTGSTREAMER_UI_LIBRARIES}
    ktpcall
)

install(TARGETS ktp-call-ui DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES callwindowui.rc DESTINATION ${DATA_INSTALL_DIR}/ktp-call-ui)

configure_file(org.freedesktop.Telepathy.Client.KTp.CallUi.service.in
                org.freedesktop.Telepathy.Client.KTp.CallUi.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.CallUi.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

install(FILES KTp.CallUi.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)

=== debian/changelog ===
ktp-call-ui (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 14:58:04 +0200

ktp-call-ui (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:13:42 +0100

ktp-call-ui (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:45:29 +0100

ktp-call-ui (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
@@ -10,8 +11,8 @@
  libtelepathy-qt4-dev (>= 0.9.3),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.7.0),
- libtelepathy-farstream-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.8.0),
+ libtelepathy-farstream-0.4-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.2)
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
@@ -21,7 +22,7 @@
 Package: kde-telepathy-call-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= 0.7),
+ kde-telepathy-data (>= 0.6.1),
  gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
  gstreamer0.10-x,

=== debian/rules ===
#!/usr/bin/make -f

CMAKE_FLAGS := \
    -DDBUS_INCLUDE_DIR=/usr/include/dbus-1.0

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-call-ui-dbg --list-missing

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

## ktp-call-ui 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-call-ui)
 
-set(KTP_CALL_UI_VERSION "0.8.0")
+set(KTP_CALL_UI_VERSION "0.8.1")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

=== libqtf/CMakeLists.txt ===
# This is *A LOT* of dependencies to find one by one,
# since gnome people like to include as many headers as possible
# in their public headers instead of doing forward declarations.
find_package(PkgConfig REQUIRED)
pkg_check_modules(TP_FARSTREAM REQUIRED telepathy-farstream)
pkg_check_modules(FARSTREAM REQUIRED farstream-0.1)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TP_FARSTREAM_INCLUDE_DIRS}
    ${FARSTREAM_INCLUDE_DIRS}
    ${TELEPATHY_QT4_FARSTREAM_INCLUDE_DIR}
)

add_definitions(
    # These prevent gstreamer from including libxml2 headers
    -DGST_DISABLE_XML
    -DGST_DISABLE_LOADSAVE
)

kde4_add_library(qtf STATIC qtf.cpp)

target_link_libraries(qtf
    ${QTGSTREAMER_LIBRARIES}
    ${TP_FARSTREAM_LDFLAGS}
    ${FARSTREAM_LDFLAGS}
    ${TELEPATHY_QT4_FARSTREAM_LIBRARIES}
)

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( th )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
ktp-call-ui (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Update ktp-common-internals and kde-telepathy-data to 0.8.1
  * Update debian/copyright
  * Add call_contains.patch which should allow creating calls.

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 20:54:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktp-call-ui
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
@@ -11,10 +10,10 @@
  libtelepathy-qt4-dev (>= 0.9.3),
  libqtgstreamer-dev (>= 0.10.2),
  pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.8.0),
- libtelepathy-farstream-0.4-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.8.1),
+ libtelepathy-farstream-dev (>= 0.4.0),
  libfarstream-0.1-dev (>= 0.1.2)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
@@ -22,7 +21,7 @@
 Package: kde-telepathy-call-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= 0.6.1),
+ kde-telepathy-data (>= 0.8.1),
  gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
  gstreamer0.10-x,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 CMAKE_FLAGS := \
+    -DTP_FARSTREAM_INCLUDE_DIRS=/usr/include/telepathy-1.0 \
     -DDBUS_INCLUDE_DIR=/usr/include/dbus-1.0
 
 %:

## ktp-call-ui 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-call-ui)
 
-set(KTP_CALL_UI_VERSION "0.8.1")
+set(KTP_CALL_UI_VERSION "0.9.0")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -10,14 +10,17 @@
 find_package(TelepathyQt4 REQUIRED)
 find_package(TelepathyQt4Farstream REQUIRED)
 find_package(KTp REQUIRED)
-find_package(QtGStreamer REQUIRED)
+find_package(QtGStreamer 1.0 REQUIRED)
+find_package(Qt4 COMPONENTS QtDeclarative)
 find_package(PkgConfig REQUIRED)
+find_package(KDeclarative REQUIRED)
 
 include_directories(
     ${KDE4_INCLUDES}
     ${TELEPATHY_QT4_INCLUDE_DIR}
     ${KTP_INCLUDE_DIR}
     ${QTGSTREAMER_INCLUDES}
+    ${QTGSTREAMER_UI_LIBRARIES}
 )
 add_definitions(
     ${KDE4_DEFINITIONS}

=== debian/changelog ===
ktp-call-ui (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-call-ui (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update build-depends for libktpcommoninternalsprivate-dev to 0.8.80
  * Update build-depends for telepathy-qt4-dev to 0.9.5
  * Update build-depends from libqtgstreamer0.10-dev to libqtgstreamer-dev 1.2
  * Update build-depends for libtelepathy-farstream-dev to 0.6.0
  * Update build-depends for libfarstream to 0.2.3
  * Update gstreamer components to gstreamer 1.0 API versions. Build-Dep (>= 1.2)
    - gstreamer1.0-plugins-base,
    - gstreamer1.0-plugins-good,
    - gstreamer1.0-x,
    - gstreamer1.0-pulseaudio | gstreamer1.0-alsa
    - pulseaudio | gstreamer1.0-alsa
    - gstreamer1.0-plugins-ugly
    - gstreamer1.0-libav (this is really helpful for video support)
  * Update ktp-telepathy-data to (>= ${source:Upstream-Version})
  * Add kde-telepathy-declarative and qtgstreamer-declarative dependencies
    (For the new QML UI)
  * Remove call_contains.patch applied upstream.

 -- Diane Trout <diane@ghic.org>  Sat, 20 Sep 2014 20:46:31 -0700

ktp-call-ui (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:08:35 +0200

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools,
 cmake,
 kdelibs5-dev,
 libtelepathy-qt4-dev (>= 0.9.5),
 libqtgstreamer-dev (>= 1.2),
 pkg-config,
 libktpcommoninternalsprivate-dev (>= 0.9.0),
 libtelepathy-farstream-dev (>= 0.6.0),
 libfarstream-0.2-dev (>= 0.2.3),
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git

Package: kde-telepathy-call-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kde-telepathy-data (>= ${source:Upstream-Version}),
 qtgstreamer-declarative (>= 1.2),
 kde-telepathy-declarative (>= ${source:Upstream-Version}),
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-x,
 gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
 pulseaudio [linux-any] | gstreamer1.10-alsa [linux-any]
Recommends: kde-telepathy,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-libav
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-call-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-call-ui (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy UI for audio/video calls - debug symbols
 This package provides the debug symbols for the KDE Telepathy Call UI module.

## ktp-call-ui 0.9.0+git20151115

=== debian/changelog ===
ktp-call-ui (0.9.0+git20151115-1) experimental; urgency=medium

  * Update watch file to point at http://download.kde.org
  * Make an experimental release, this version is unreleased
    upstream but does work with Qt5 / KF5.

 -- Diane Trout <diane@ghic.org>  Sun, 15 Nov 2015 08:18:44 -0800

ktp-call-ui (0.9.0-2) unstable; urgency=medium

  * Fix typo in depends. gstreamer1.10-alsa doesn't exist.
    use the real package name gstreamer1.0-alsa.
    (Thank you Lisandro)

 -- Diane Trout <diane@ghic.org>  Wed, 27 May 2015 14:51:01 -0700

ktp-call-ui (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-depends for libktpcommoninternalsprivate-dev to 0.9.0
  * Update build-depends for telepathy-qt4-dev to 0.9.5
  * Update build-depends from libqtgstreamer0.10-dev to libqtgstreamer-dev 1.2
  * Update build-depends for libtelepathy-farstream-dev to 0.6.0
  * Update build-depends for libfarstream to 0.2.3
  * Update gstreamer components to gstreamer 1.0 API versions.
    Build-Dep (>= 1.2)
    - gstreamer1.0-plugins-base,
    - gstreamer1.0-plugins-good,
    - gstreamer1.0-x,
    - gstreamer1.0-pulseaudio | gstreamer1.0-alsa
    - pulseaudio | gstreamer1.0-alsa
    - gstreamer1.0-plugins-ugly
    - gstreamer1.0-libav (this is really helpful for video support)
  * Add kde-telepathy-declarative and qtgstreamer-declarative dependencies
    (For the new QML UI)
  * Remove call_contains.patch applied upstream.
  * Update copyright
  * Update maintainer to Debian/Kubuntu KDE Extras Team
  * Update Standards-Version to 3.9.6. No changes needed.
  * Backport two commits to fix issues with several QML buttons
    - add fix-dtmp.patch
    - add qml-fixes.patch

 -- Diane Trout <diane@ghic.org>  Wed, 20 May 2015 22:25:40 -0700

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,27 @@
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools,
+ pkg-config,
  cmake,
- kdelibs5-dev,
- libtelepathy-qt4-dev (>= 0.9.5),
- libqtgstreamer-dev (>= 1.2),
- pkg-config,
- libktpcommoninternalsprivate-dev (>= 0.9.0),
+ extra-cmake-modules,
+ qtbase5-dev,
+ libkf5config-dev,
+ libkf5declarative-dev,
+ libkf5iconthemes-dev,
+ libkf5i18n-dev,
+ libkf5notifications-dev,
+ libkf5xmlgui-dev,
+ libkf5kcmutils-dev,
+ libkf5wallet-dev,
+ libktp-dev,
+ libtelepathy-qt5-dev (>= 0.9.5),
+ libtelepathy-logger-qt-dev (>= 15.04),
+ libqt5gstreamer-dev (>= 1.2),
+ libphonon4qt5-dev,
+ libphonon4qt5experimental-dev,
  libtelepathy-farstream-dev (>= 0.6.0),
  libfarstream-0.2-dev (>= 0.2.3),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-call-ui
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-call-ui.git
@@ -21,14 +33,14 @@
 Package: kde-telepathy-call-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= ${source:Upstream-Version}),
- qtgstreamer-declarative (>= 1.2),
- kde-telepathy-declarative (>= ${source:Upstream-Version}),
+ kde-telepathy-data (>= 0.8.1),
+ qml-module-qtgstreamer (>= 1.2),
+ qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-x,
  gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
- pulseaudio [linux-any] | gstreamer1.10-alsa [linux-any]
+ pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any]
 Recommends: kde-telepathy,
  gstreamer1.0-plugins-ugly,
  gstreamer1.0-libav

=== debian/watch ===
version=3
http://download.kde.org/stable/kde-telepathy/([\d.]+)/src/ktp-call-ui-([\d.]+).tar.bz2

## ktp-call-ui 16.12.1

=== debian/changelog ===
ktp-call-ui (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:32 +0000

ktp-call-ui (16.04.3-0ubuntu2) yakkety; urgency=medium

  * Merge with debian, this way we import updated dependencies and build
    dependencies.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 Oct 2016 00:48:38 +0100

ktp-call-ui (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Fix spelling error reported by lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:08 +0200

ktp-call-ui (16.04.0-2) experimental; urgency=medium

  * Update dependencies

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:36:52 +0200

ktp-call-ui (16.04.0-1) experimental; urgency=medium

  [ Diane Trout ]
  * Update watch file to point at http://download.kde.org
  * New upstream release (16.04.0).

  [ Maximiliano Curia ]
  * Add missing build dependency

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:00:56 +0200

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5declarative-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kcmutils-dev (>= 5.28.0~),
               libkf5notifications-dev (>= 5.28.0~),
               libkf5wallet-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               libktp-dev (>= 4:16.12.1~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5gstreamer-dev,
               libtelepathy-farstream-dev (>= 0.6.0),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://community.kde.org/KTp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui

Package: kde-telepathy-call-ui
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         gstreamer1.0-x,
         kde-telepathy-data (>= 0.8.1),
         pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         qml-module-org-kde-telepathy,
         qtgstreamer-declarative (>= 1.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

CMAKE_FLAGS := \
    -DTP_FARSTREAM_INCLUDE_DIRS=/usr/include/telepathy-1.0 \
    -DDBUS_INCLUDE_DIR=/usr/include/dbus-1.0

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-call-ui (<= 16.04.0-1~~)'

## ktp-call-ui 17.04.3

=== debian/changelog ===
ktp-call-ui (17.04.3-0ubuntu1) artful; urgency=medium

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5declarative-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5iconthemes-dev (>= 5.28.0~),
-               libkf5kcmutils-dev (>= 5.28.0~),
-               libkf5notifications-dev (>= 5.28.0~),
-               libkf5wallet-dev (>= 5.28.0~),
-               libkf5xmlgui-dev (>= 5.28.0~),
-               libktp-dev (>= 4:16.12.1~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libktp-dev (>= 4:17.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,
@@ -45,6 +45,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE Telepathy UI for audio/video calls
  This package provides the KDE Telepathy component that enables doing
  audio/video calls on XMPP/Jingle and SIP.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 CMAKE_FLAGS := \
     -DTP_FARSTREAM_INCLUDE_DIRS=/usr/include/telepathy-1.0 \

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-call-ui-([\d.]+).tar.(?:bz2|xz)

## ktp-call-ui 17.08.3

=== debian/changelog ===
ktp-call-ui (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kde-telepathy-call-ui.install, no more useful now
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Do not pass anymore TP_FARSTREAM_INCLUDE_DIRS, and DBUS_INCLUDE_DIR to
    cmake, as it is not needed. (Closes: #720578)
  * Replace the qtgstreamer-declarative (qt4) dependency with
    qml-module-qtgstreamer (qt5).

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:47:00 +0100

ktp-call-ui (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-call-ui (<= 16.04.0-1~~)'

## ktp-call-ui 17.12.3

=== debian/changelog ===
ktp-call-ui (17.12.3-0ubuntu2) bionic; urgency=medium

  * Sync changes with debian's 18.08.3-1: Remaining changes
    - Kubuntu VCS fields
    - l10n breaks/replaces to suit Kubuntu version history

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Mar 2018 18:08:57 +0000

ktp-call-ui (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:19 +0000

ktp-call-ui (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:06 +0000

ktp-call-ui (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:44 +0000

=== debian/control ===
Source: ktp-call-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5wallet-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 17.08.3~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5gstreamer-dev,
               libtelepathy-farstream-dev (>= 0.6.0),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev,
Standards-Version: 4.1.2
Homepage: https://community.kde.org/KTp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-call-ui

Package: kde-telepathy-call-ui
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         gstreamer1.0-x,
         kde-telepathy-data (>= 0.8.1),
         pulseaudio [linux-any] | gstreamer1.0-alsa [linux-any],
         qml-module-org-kde-telepathy,
         qml-module-qtgstreamer (>= 1.2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-ugly, kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE Telepathy UI for audio/video calls
 This package provides the KDE Telepathy component that enables doing
 audio/video calls on XMPP/Jingle and SIP.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-call-ui 18.04.3

=== debian/changelog ===
ktp-call-ui (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 17.08.3~),
+               libktp-dev (>= 4:18.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 18.12.3

=== debian/changelog ===
ktp-call-ui (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:57 +0000

ktp-call-ui (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:01 +0000

ktp-call-ui (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:55 +0000

ktp-call-ui (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:08 +0000

ktp-call-ui (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: l10n Breaks/Replaces.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 13:23:30 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:18.04.3~),
+               libktp-dev (>= 4:18.12.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 19.04.3

=== debian/changelog ===
ktp-call-ui (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:36 +0100

ktp-call-ui (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:15 +0100

ktp-call-ui (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:13 +0100

ktp-call-ui (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

## ktp-call-ui 19.12.3

=== debian/changelog ===
ktp-call-ui (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:14:54 +0000

ktp-call-ui (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:23 +0000

ktp-call-ui (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:39 +0000

ktp-call-ui (19.12.0-0ubuntu1) focal; urgency=medium

  * Drop upstream applied upstream_fix_build_telepathy-qt_0.9.8.diff
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:20 +0000

ktp-call-ui (19.08.3-0ubuntu2) focal; urgency=medium

  * Add upstream_fix_build_telepathy-qt_0.9.8.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 08 Dec 2019 13:46:11 +0000

ktp-call-ui (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:00 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5notifications-dev,
                libkf5wallet-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqt5gstreamer-dev,

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-call-ui (<= 16.04.0-1~~)'
